Loading...
Searching...
No Matches
Ogre::StaticGeometry::QueuedSubMesh Struct Reference

Structure recording a queued submesh for the build. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::QueuedSubMesh:
[legend]

## Public Attributes

SubMeshLodGeometryLinkList * | geometryLodList
| Link to LOD list of geometry, potentially optimised.
MaterialPtr | material
Quaternion | orientation
Vector3 | position
Vector3 | scale
SubMesh * | submesh
AxisAlignedBox | worldBounds
| Pre-transformed world AABB.

## Detailed Description

Structure recording a queued submesh for the build.

## Member Data Documentation

## submesh

SubMesh* Ogre::StaticGeometry::QueuedSubMesh::submesh

## material

MaterialPtr Ogre::StaticGeometry::QueuedSubMesh::material

## geometryLodList

SubMeshLodGeometryLinkList* Ogre::StaticGeometry::QueuedSubMesh::geometryLodList

Link to LOD list of geometry, potentially optimised.

## position

Vector3 Ogre::StaticGeometry::QueuedSubMesh::position

## orientation

Quaternion Ogre::StaticGeometry::QueuedSubMesh::orientation

## scale

Vector3 Ogre::StaticGeometry::QueuedSubMesh::scale

## worldBounds

AxisAlignedBox Ogre::StaticGeometry::QueuedSubMesh::worldBounds

Pre-transformed world AABB.

The documentation for this struct was generated from the following file:

- OgreStaticGeometry.h